package com.qmth.exam.reserve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.exam.reserve.bean.examsite.ExamSiteInfo;
import com.qmth.exam.reserve.bean.stdapply.CategoryVO;
import com.qmth.exam.reserve.entity.ExamSiteEntity;

import java.util.List;

public interface ExamSiteService extends IService<ExamSiteEntity> {

    List<CategoryVO> listExamSite(Long teachingId);

    List<ExamSiteInfo> getExamSiteListForStudent(Long categoryId);

    int countExamSiteCapacityById(Long examSiteId);

}
